#include <iostream>
#include <cmath>
using namespace std;
int najveci(int brojClan, int clan[])
{
    int maks=clan[0];
    for(int i=0;i<brojClan;i++)
    {
        if(clan[i]>maks)
            maks=clan[i];
    }
    return maks;
}
int najmanji(int brojClan,int clan[])
{
    int mini=clan[0];
    for(int i=0;i<brojClan;i++)
    {
        if(mini>clan[i])
            mini=clan[i];
    }
    return mini;
}

int main()
{
    int n,x,mini,maks,vreme=0;
    cin>>n>>x;
    int koms[n];
    for(int i=0;i<n;i++)
    {
        cin>>koms[i];
    }
    maks=najveci(n,koms);
    mini=najmanji(n,koms);
    if(mini>x&&maks>x)
    {
        for(int i=x;i<maks;i++)
        {
            vreme++;
        }
        cout<<vreme;
        return 0;
    }
    if(x>maks && x>mini)
    {
        for(int i=x;i>mini;i--)
        {
            vreme++;
        }
        cout<<vreme;
        return 0;
    }
    if(x>mini && x<maks)
    {
        if(abs(x)+abs(mini)<abs(x)+abs(maks))
        {
            for(int i=x;i>mini;i--)
            {
                vreme++;
            }
            vreme=vreme*2;
            for(int i=x;i<maks;i++)
            {
                vreme++;
            }
            cout<<vreme;
            return 0;
        }
        else
        {
            for(int i=x;i<maks;i++)
            {
                vreme++;
            }
            vreme=vreme*2;
            for(int i=x;i>mini;i--)
            {
                vreme++;
            }
            cout<<vreme;
            return 0;
        }
    }

}